import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MonitorRuleTemplate } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-15 13:46
 */
interface MonitorRuleTemplateCU extends ConditionUtil<MonitorRuleTemplateCU> {
    ID: FieldUtil<MonitorRuleTemplateCU>;
    TEMPLATE_NAME: FieldUtil<MonitorRuleTemplateCU>;
    REMARK: FieldUtil<MonitorRuleTemplateCU>;
    INDICATORS_CODE: FieldUtil<MonitorRuleTemplateCU>;
    PERIOD: FieldUtil<MonitorRuleTemplateCU>;
    STATISTICS: FieldUtil<MonitorRuleTemplateCU>;
    RELATION: FieldUtil<MonitorRuleTemplateCU>;
    THRESHOLD: FieldUtil<MonitorRuleTemplateCU>;
    DELETED: FieldUtil<MonitorRuleTemplateCU>;
    CREATE_TIME: FieldUtil<MonitorRuleTemplateCU>;
    UPDATE_TIME: FieldUtil<MonitorRuleTemplateCU>;
}
declare class MonitorRuleTemplateMU extends TableUtilImpl<MonitorRuleTemplateCU, MonitorRuleTemplate> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MonitorRuleTemplateCU;
    static get ID(): FieldUtil<MonitorRuleTemplateCU>;
    static get TEMPLATE_NAME(): FieldUtil<MonitorRuleTemplateCU>;
    static get REMARK(): FieldUtil<MonitorRuleTemplateCU>;
    static get INDICATORS_CODE(): FieldUtil<MonitorRuleTemplateCU>;
    static get PERIOD(): FieldUtil<MonitorRuleTemplateCU>;
    static get STATISTICS(): FieldUtil<MonitorRuleTemplateCU>;
    static get RELATION(): FieldUtil<MonitorRuleTemplateCU>;
    static get THRESHOLD(): FieldUtil<MonitorRuleTemplateCU>;
    static get DELETED(): FieldUtil<MonitorRuleTemplateCU>;
    static get CREATE_TIME(): FieldUtil<MonitorRuleTemplateCU>;
    static get UPDATE_TIME(): FieldUtil<MonitorRuleTemplateCU>;
    get ID(): FieldUtil<MonitorRuleTemplateCU>;
    get TEMPLATE_NAME(): FieldUtil<MonitorRuleTemplateCU>;
    get REMARK(): FieldUtil<MonitorRuleTemplateCU>;
    get INDICATORS_CODE(): FieldUtil<MonitorRuleTemplateCU>;
    get PERIOD(): FieldUtil<MonitorRuleTemplateCU>;
    get STATISTICS(): FieldUtil<MonitorRuleTemplateCU>;
    get RELATION(): FieldUtil<MonitorRuleTemplateCU>;
    get THRESHOLD(): FieldUtil<MonitorRuleTemplateCU>;
    get DELETED(): FieldUtil<MonitorRuleTemplateCU>;
    get CREATE_TIME(): FieldUtil<MonitorRuleTemplateCU>;
    get UPDATE_TIME(): FieldUtil<MonitorRuleTemplateCU>;
}
export { MonitorRuleTemplateMU, MonitorRuleTemplateCU };
